using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using GroundImporter;
using Microsoft.Xna.Framework.Content;

namespace GroundImporter
{
    public class HeightMapReader : ContentTypeReader<HeightMapSetter>
    {
        protected override HeightMapSetter Read(ContentReader input, HeightMapSetter existingInstance)
        {
            HeightMapSetter put = new HeightMapSetter();

            put.SetedFact = input.ReadObject<float[]>();
            put.SetedfactLength = input.ReadObject<float>();
            put.P_pos = input.ReadObject<float[]>();
            put.HeightMap = input.ReadObject<float[][]>();

            return put;
        }
    }
}